Bug 176427 - [NEW PORT] net-mgmt/devmon: Device monitoring addition to Xymon/Hobbit/BigBrother
Summary: [NEW PORT] net-mgmt/devmon: Device monitoring addition to Xymon/Hobbit/BigBro...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-25 21:40 UTC by Mark Felder
Modified: 2013-03-02 20:30 UTC (History)
0 users

See Also:


Attachments
.shar (2.87 KB, text/plain)
2013-02-25 21:40 UTC, Mark Felder
no flags Details
devmon.sharv2 (4.33 KB, application/octet-stream)
2013-02-26 13:48 UTC, Mark Felder
no flags Details
devmon.sharv3 (5.21 KB, application/octet-stream)
2013-02-26 14:29 UTC, Mark Felder
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Felder freebsd_committer 2013-02-25 21:40:00 UTC
Devmon is a Perl daemon designed to supplement and enhance the monitoring 
capabilities of a server running either the BigBrother or Hobbit monitoring software. 

WWW: http://devmon.sourceforge.net/

Generated with FreeBSD Port Tools 0.99_6 (mode: new)
Comment 1 Edwin Groothuis freebsd_committer 2013-02-25 21:40:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->swills

swills@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Mark Felder freebsd_committer 2013-02-26 13:48:38 UTC
Attached shar includes an rc script and fixes the removal of PORTDOCS.
Comment 3 Mark Felder freebsd_committer 2013-02-26 14:29:19 UTC
attaching final draft... had to fix ability to cleanly shutdown the daemon  
via the rc script.
Comment 4 Steve Wills freebsd_committer 2013-03-02 20:20:23 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!
Comment 5 dfilter service freebsd_committer 2013-03-02 20:20:26 UTC
Author: swills
Date: Sat Mar  2 20:20:12 2013
New Revision: 313295
URL: http://svnweb.freebsd.org/changeset/ports/313295

Log:
  Devmon is a Perl daemon designed to supplement and enhance the monitoring
  capabilities of a server running either the BigBrother or Hobbit monitoring
  software.
  
  WWW: http://devmon.sourceforge.net/
  
  PR:		ports/176427
  Submitted by:	Mark Felder <feld@feld.me>

Added:
  head/net-mgmt/devmon/
  head/net-mgmt/devmon/Makefile   (contents, props changed)
  head/net-mgmt/devmon/distinfo   (contents, props changed)
  head/net-mgmt/devmon/files/
  head/net-mgmt/devmon/files/devmon.in   (contents, props changed)
  head/net-mgmt/devmon/pkg-descr   (contents, props changed)
  head/net-mgmt/devmon/pkg-plist   (contents, props changed)
Modified:
  head/net-mgmt/Makefile

Modified: head/net-mgmt/Makefile
==============================================================================
--- head/net-mgmt/Makefile	Sat Mar  2 20:14:35 2013	(r313294)
+++ head/net-mgmt/Makefile	Sat Mar  2 20:20:12 2013	(r313295)
@@ -54,6 +54,7 @@
     SUBDIR += cowpatty
     SUBDIR += cricket
     SUBDIR += darkstat
+    SUBDIR += devmon
     SUBDIR += dhcdrop
     SUBDIR += disco
     SUBDIR += docsis

Added: head/net-mgmt/devmon/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net-mgmt/devmon/Makefile	Sat Mar  2 20:20:12 2013	(r313295)
@@ -0,0 +1,50 @@
+# Created by: Mark Felder <feld@feld.me>
+# $FreeBSD$
+
+PORTNAME=	devmon
+DISTVERSION=	0.3.1-beta1
+CATEGORIES=	net-mgmt
+MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/${DISTVERSION}
+
+MAINTAINER=	feld@feld.me
+COMMENT=	Device monitoring addition to Xymon/Hobbit/BigBrother
+
+LICENSE=	GPLv2
+
+RUN_DEPENDS=	p5-SNMP_Session>0:${PORTSDIR}/net-mgmt/p5-SNMP_Session
+
+USE_PERL5=	yes
+NO_BUILD=	yes
+USE_RC_SUBR=	devmon
+
+OPTIONS_DEFINE=	MYSQL
+
+.include <bsd.port.options.mk>
+
+.if ${PORT_OPTIONS:MMYSQL}
+USE_MYSQL=	yes
+.endif
+
+pre-install:
+	(cd ${WRKSRC} && ${MV} devmon.cfg devmon.cfg.dist)
+
+do-install:
+	${INSTALL} -d ${PREFIX}/devmon
+	${INSTALL} -d ${PREFIX}/devmon/modules
+	${INSTALL_SCRIPT} ${WRKSRC}/devmon ${PREFIX}/devmon/
+	${INSTALL_DATA} ${WRKSRC}/devmon.cfg.dist ${PREFIX}/devmon/
+	(cd ${WRKSRC}/modules && ${COPYTREE_SHARE} \* ${PREFIX}/devmon/modules/)
+
+post-install:
+.if ${PORT_OPTIONS:MDOCS}
+	${MKDIR} ${DOCSDIR}
+	${INSTALL_DATA} ${WRKSRC}/CHANGELOG ${DOCSDIR}/
+	${INSTALL_DATA} ${WRKSRC}/COPYING ${DOCSDIR}/
+	${INSTALL_DATA} ${WRKSRC}/README ${DOCSDIR}/
+	${INSTALL} -d ${DOCSDIR}/docs
+	${INSTALL} -d ${DOCSDIR}/extras
+	(cd ${WRKSRC}/docs && ${COPYTREE_SHARE} \* ${DOCSDIR}/docs/)
+	(cd ${WRKSRC}/extras && ${COPYTREE_SHARE} \* ${DOCSDIR}/extras/)
+.endif
+
+.include <bsd.port.mk>

Added: head/net-mgmt/devmon/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net-mgmt/devmon/distinfo	Sat Mar  2 20:20:12 2013	(r313295)
@@ -0,0 +1,2 @@
+SHA256 (devmon-0.3.1-beta1.tar.gz) = 37eda1c168809f5e3908b11e1ddd2b8c293b592fec12627cae31714e2e42fea2
+SIZE (devmon-0.3.1-beta1.tar.gz) = 105893

Added: head/net-mgmt/devmon/files/devmon.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net-mgmt/devmon/files/devmon.in	Sat Mar  2 20:20:12 2013	(r313295)
@@ -0,0 +1,56 @@
+#!/bin/sh
+# $FreeBSD$
+
+# PROVIDE: devmon
+# REQUIRE: LOGIN
+# KEYWORD: shutdown
+
+: ${devmon_enable="NO"}
+: ${devmon_config="%%PREFIX%%/devmon/devmon.cfg"}
+: ${devmon_db="%%PREFIX%%/devmon/hosts.db"}
+: ${devmon_pid="/var/run/devmon.pid"}
+
+. /etc/rc.subr
+
+name="devmon"
+rcvar="devmon_enable"
+load_rc_config $name
+command="%%PREFIX%%/devmon/devmon"
+command_args="-c ${devmon_config} -d ${devmon_db}"
+command_interpreter="/usr/bin/perl"
+pidfile=${devmon_pid}
+
+stop_cmd="devmon_stopcmd"
+status_cmd="devmon_statuscmd"
+
+devmon_statuscmd()                                                                                                                                                              
+{
+if [ ! -e $pidfile ];                                                                                                                                                      
+    then
+        echo "pidfile does not exist. $name is not running?";
+    exit 1;
+fi
+
+if pgrep -F $pidfile >/dev/null;
+    then
+        echo "$name is running.";
+    else
+        echo "$name is not running.";
+    exit 1;
+fi
+}
+
+devmon_stopcmd()
+{
+if pgrep -F $pidfile >/dev/null;
+    then
+	mypid=`cat $pidfile`;
+        kill $sig_stop $mypid;
+        wait_for_pids $mypid;
+    else
+        echo "$name is not running.";
+        exit 1;
+fi
+}
+
+run_rc_command "$1"

Added: head/net-mgmt/devmon/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net-mgmt/devmon/pkg-descr	Sat Mar  2 20:20:12 2013	(r313295)
@@ -0,0 +1,5 @@
+Devmon is a Perl daemon designed to supplement and enhance the monitoring
+capabilities of a server running either the BigBrother or Hobbit monitoring
+software. 
+
+WWW: http://devmon.sourceforge.net/

Added: head/net-mgmt/devmon/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net-mgmt/devmon/pkg-plist	Sat Mar  2 20:20:12 2013	(r313295)
@@ -0,0 +1,30 @@
+devmon/modules/dm_tests.pm
+devmon/modules/dm_templates.pm
+devmon/modules/dm_snmp.pm
+devmon/modules/dm_msg.pm
+devmon/modules/dm_config.pm
+devmon/devmon.cfg.dist
+devmon/devmon
+%%PORTDOCS%%%%DOCSDIR%%/extras/update_hobbit_patch
+%%PORTDOCS%%%%DOCSDIR%%/extras/hobbit-4.2.0-devmon.patch
+%%PORTDOCS%%%%DOCSDIR%%/extras/hobbit-4.2.0-devmon-complete.patch
+%%PORTDOCS%%%%DOCSDIR%%/extras/do_devmon.c
+%%PORTDOCS%%%%DOCSDIR%%/extras/devmon.initd.redhat
+%%PORTDOCS%%%%DOCSDIR%%/extras/devmon.db
+%%PORTDOCS%%%%DOCSDIR%%/extras/devmon-rrd.pl
+%%PORTDOCS%%%%DOCSDIR%%/extras/devmon-graph.cfg
+%%PORTDOCS%%%%DOCSDIR%%/docs/using.html
+%%PORTDOCS%%%%DOCSDIR%%/docs/USING
+%%PORTDOCS%%%%DOCSDIR%%/docs/TEMPLATES
+%%PORTDOCS%%%%DOCSDIR%%/docs/MULTINODE
+%%PORTDOCS%%%%DOCSDIR%%/docs/INSTALLATION
+%%PORTDOCS%%%%DOCSDIR%%/docs/GRAPHING
+%%PORTDOCS%%%%DOCSDIR%%/docs/COPYING
+%%PORTDOCS%%%%DOCSDIR%%/README
+%%PORTDOCS%%%%DOCSDIR%%/COPYING
+%%PORTDOCS%%%%DOCSDIR%%/CHANGELOG
+@dirrm devmon/modules
+@dirrm devmon
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/extras
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/docs
+%%PORTDOCS%%@dirrm %%DOCSDIR%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"